### Method

# ICalGLib Component get_status

since: 1.0

#### Declaration [src]

    ICalPropertyStatus
    i_cal_component_get_status (
      ICalComponent* comp
    )

#### Description [src]

Returns the property status of the `ICalComponent`. ICAL_STATUS_NONE is returned if a problem parsing the component was detected.

Available since: 1.0

#### Return value

Type: `ICalPropertyStatus`

A `ICalPropertyStatus`.